Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmForumRootContainer

All Superinterfaces
  IContainer, IItem, IRootContainer, Serializable

    public interface ICmForumRootContainer

extends IRootContainer

Provides a root container interface for the top level forum root. All categories are located below this root. New top level categories may be added utilizing this class.

Field Summary
`static RootContainerClass` | `CLASS` The default type of root container for collaboration services.

Fields inherited from interface com.compoze.collab.IRootContainer
`MINIMUM_ROOT_CONTAINER_KEYS`

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`ICmForumCategory` | `addForumCategory(String sName)`
`ICmForum` | `getForumByID(String sId)`
`ICmForum` | `getForumByID(String sId, FetchProfile fp)`
`ICmForumCategory[]` | `getForumCategories()`
`ICmForumCategory[]` | `getForumCategories(QueryProfile qp)`
`ICmForumCategoryList` | `getForumCategories(QueryProfile qp, int iPageSize, int iPage)` Gets categories in the container given a number of categories per 'page' and a page number.
`ICmForumCategory` | `getForumCategoryByID(String sId)`
`ICmForumCategory` | `getForumCategoryByID(String sId, FetchProfile fp)`
`ICmTopic` | `getTopicByID(String sId)`
`ICmTopic` | `getTopicByID(String sId, FetchProfile fp)`

Methods inherited from interface com.compoze.collab.IRootContainer
`deleteItems, getContainerByID, getContainerByID, getItemByID, getItemByID, getItemsByID, moveItems`

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### CLASS

    static final RootContainerClass CLASS

  The default type of root container for collaboration services.

Method Detail

### getForumByID

    ICmForum getForumByID(String sId)
                          throws CollaborationException

  Throws
    `CollaborationException`

### getForumByID

    ICmForum getForumByID(String sId,
                          FetchProfile fp)
                          throws CollaborationException

  Throws
    `CollaborationException`

### getTopicByID

    ICmTopic getTopicByID(String sId)
                          throws CollaborationException

  Throws
    `CollaborationException`

### getTopicByID

    ICmTopic getTopicByID(String sId,
                          FetchProfile fp)
                          throws CollaborationException

  Throws
    `CollaborationException`

### getForumCategoryByID

    ICmForumCategory getForumCategoryByID(String sId)
                                          throws CollaborationException

  Throws
    `CollaborationException`

### getForumCategoryByID

    ICmForumCategory getForumCategoryByID(String sId,
                                          FetchProfile fp)
                                          throws CollaborationException

  Throws
    `CollaborationException`

### addForumCategory

    ICmForumCategory addForumCategory(String sName)
                                      throws CollaborationException

  Throws
    `CollaborationException`

### getForumCategories

    ICmForumCategory[] getForumCategories(QueryProfile qp)
                                          throws CollaborationException

  Throws
    `CollaborationException`

### getForumCategories

    ICmForumCategory[] getForumCategories()
                                          throws CollaborationException

  Throws
    `CollaborationException`

### getForumCategories

    ICmForumCategoryList getForumCategories(QueryProfile qp,
                                            int iPageSize,
                                            int iPage)
                                            throws CollaborationException

  Gets categories in the container given a number of categories per 'page' and a page number. This method can potentially overwrite the start index and length value provided in `QueryProfile`.

  Parameters
    `queryProfile` - the query profile to use when getting items
    `iPageSize` - the count of items that makes a 'page' (<=0 for all)
    `iPage` - the page number to fetch (must be >=1)
  Returns
    the categories
  Throws
    `CollaborationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved